JTS Topology Suite version 1.13

## com.vividsolutions.jts.noding
Interface SegmentString

All Known Subinterfaces:
  NodableSegmentString

All Known Implementing Classes:
  BasicSegmentString, NodedSegmentString

    public interface SegmentString

An interface for classes which represent a sequence of contiguous line segments. SegmentStrings can carry a context object, which is useful for preserving topological or parentage information.

Version:
  1.7

Method Summary
`Coordinate` `getCoordinate(int i)`
`Coordinate[]` `getCoordinates()`
`java.lang.Object` `getData()` Gets the user-defined data for this segment string.
`boolean` `isClosed()`
`void` `setData(java.lang.Object data)` Sets the user-defined data for this segment string.
`int` `size()`

Method Detail

### getData

    java.lang.Object getData()

  Gets the user-defined data for this segment string.

  Returns:
    the user-defined data

### setData

    void setData(java.lang.Object data)

  Sets the user-defined data for this segment string.

  Parameters:
    `data` - an Object containing user-defined data

### size

    int size()

### getCoordinate

    Coordinate getCoordinate(int i)

### getCoordinates

    Coordinate[] getCoordinates()

### isClosed

    boolean isClosed()

JTS Topology Suite version 1.13